<?php
/*
Plugin name: PlayPress
Plugin URI: http://joshuagoodwin.com/playpress
Version: 1.1.1
Description: A JavaScript-free, non--Flash-dependent audio player, fortified with HTML5 vitamins and minerals. [audio mp3="example"]
Author: Joshua Goodwin
Author URI: http://joshuagoodwin.com
License: MIT
*/
function playpress_func( $atts ) {

extract( shortcode_atts( array('mp3' => '','ogg' => ''), $atts ) );
STATIC $i = 0;
$i++;

$flash_parameters = 'soundFile='.$mp3.'&playerID='.$i;

/*
You can customise the PlayPress Flash players on your site, like this:

$flash_parameters .= '&setting=value&setting=value';

(For it to have any effect, it needs to be outside of the / * and * /)

For example, here's how you'd make the audio start playing automatically, and on a loop:

$flash_parameters .= '&autostart=yes&loop=yes';

Please notice the ampersand (&) seperator, which is important.

Here are some popular settings and their default values:

autostart=no
loop=no
animation=yes
remaining=no
noinfo=no
initialvolume=60
buffer=5
checkpolicy=no
rtl=no
bg=E5E5E5
leftbg=CCCCCC
lefticon=333333
voltrack=F2F2F2
volslider=666666
rightbg=B4B4B4
rightbghover=999999
righticon=333333
righticonhover=FFFFFF
loader=009900
track=FFFFFF
tracker=DDDDDD
border=CCCCCC
skip=666666
text=333333

More at http://wpaudioplayer.com/standalone/
*/

$flash_top = '<object id="audioplayer'.$i.'" type="application/x-shockwave-flash" data="'.plugins_url().'/playpress/player.swf" width="290" height="24">
<param name="movie" value="'.plugins_url().'/playpress/player.swf">
<param name="FlashVars" value="'.htmlspecialchars($flash_parameters).'">
<param name="quality" value="high">
<param name="menu" value="false">
<param name="wmode" value="opaque">';
$download_link = '<a href="'.$mp3.'">Download audio file ('.basename($mp3).')</a>';#

if(!is_feed()) {
	if(!empty($mp3)) {
		$output = '<p>';
		if(!empty($ogg)) {
			$output .= '<audio controls preload="metadata">';
			$output .= '<source src="'.$mp3.'" type="audio/mp3"><source src="'.$ogg.'" type="audio/ogg">';
		}
		$output .= $flash_top;
		if(empty($ogg)) {
			$output .= '<audio controls preload="metadata" src="'.$mp3.'">';
		}
		$output .= $download_link;
		if(empty($ogg)) {
			$output .= '</audio>';
		}
		$output .= '</object>';
		if(!empty($ogg)) {
			$output .= '</audio>';
		}
		$output .= '</p>';
	}
	elseif(!empty($ogg)) {
		$mp3 = $ogg;
		$output = '<p>'.$download_link.'</p>';
	}
}
// Now we deal withat to show feed readers:
else {
	if(!empty($mp3)) {
		$output = '<p>'.$download_link.'</p>';
	}
	if(!empty($ogg)) {
		$mp3 = $ogg;
		$output .= '<p>'.$download_link.'</p>';
	}
}
// We've finished building $output. Now to return its value:
return $output;
}
// Finished defining playpress_func() function

add_shortcode( 'audio', 'playpress_func' );
?>